---
- name: Install Docker
  block:
    - name: Install Docker
      become: true
      apt:
        state: present
        update_cache: yes
        name:
          - docker.io
      tags:
        - packaging
        - provisioning
        - docker
  when: containers_runtime == 'docker-engine'

- name: Install kubernetes
  block:

    # - name: Install projectatomic repository
    #   become: true
    #   apt_repository:
    #     repo: ppa:projectatomic/ppa
    #   tags:
    #     - packaging
    #     - provisioning
    #     - docker

    # - name: Install OCI tools
    #   become: true
    #   apt:
    #     state: present
    #     update_cache: yes
    #     name:
    #       - podman
    #       - buildah
    #       - skopeo
    #   tags:
    #     - packaging
    #     - provisioning
    #     - docker

    - name: Install micro.k8s
      become: true
      snap:
        state: present
        classic: true
        name:
          - microk8s
          - helm
      tags:
        - packaging
        - provisioning
        - docker

    - name: Create kubetcl aliases
      become: true
      command: /usr/bin/snap alias microk8s.kubectl {{ item }}
      args:
        creates: /snap/bin/{{ item }}
      loop:
        - kubectl
        - k
      tags:
        - packaging
        - provisioning
        - docker

  when: kubernetes_runtime == "minikube"


